## org.jboss.netty.handler.timeout
Interface IdleStateEvent

All Superinterfaces:
  ChannelEvent

All Known Implementing Classes:
  DefaultIdleStateEvent

    public interface IdleStateEvent

extends ChannelEvent

A `ChannelEvent` that is triggered when a `Channel` has been idle for a while.

Version:
  $Rev: 2080 $, $Date: 2010-01-26 18:04:19 +0900 (Tue, 26 Jan 2010) $
Author:
  The Netty Project, Trustin Lee

Method Summary
`long` `getLastActivityTimeMillis()` Returns the last time when I/O occurred in milliseconds.
`IdleState` `getState()` Returns the detailed idle state.

Methods inherited from interface org.jboss.netty.channel.ChannelEvent
`getChannel, getFuture`

Method Detail

### getState

    IdleState getState()

  Returns the detailed idle state.

### getLastActivityTimeMillis

    long getLastActivityTimeMillis()

  Returns the last time when I/O occurred in milliseconds.

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.